Changes between Version 1 and Version 2 of v6.3_to_v7.1


Ignore:
Timestamp:
01/17/12 12:44:55 (10 years ago)
Author:
branden
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • v6.3_to_v7.1

    v1 v2  
    1212 
    13131. Which modules care about SCNL vs SCN? 
     14 
    1415The simple answer is any module that deals with Tracebuf, Pick, or Coda messages cares. Thus, you will need to review the documentation for each module and see how it is affected. In short, look at your data_source modules and make sure that you have decided on a SCNL scheme and get them configured first. Then work your way downstream through your processing chain. The fir and pick_ew modules are next, followed by the binder module, and ultimately hypoinverse (aka hyp2000). Note that example SCNL .d files are provided in the src dir with each module. 
    1516 
    16172. Can I use v7.X modules in a v6.3 environment? 
     18 
    1719Yes, you can intermix messages since all V7.X messages are new types, so old and new can reside on the same rings. However you need to take care that you rename module names so that they do not collide with old versions. It is best to  limit those running newer versions of the modules and newer messages to reside on different rings. 
    1820 
    19213. Can I use my old v6.X module in a v7.0 environment? 
     22 
    2023Yes, you can intermix, but realize that the v6.X module will only look for SCN message types and thus you will need to use a converter (scnl2scn) to get the SCNL data onto a separate ring in SCN format so that the v6.X module can operate. 
    2124 
    22254. How can I get old messages into the new format? 
     26 
    2327Easy, there are 2 converters that go forward and backward: scn2scnl and scnl2scn that will map all messages to the new or old format. They can be found in the data_exchange module directory. 
    2428 
    25295. How can I import v7.X waveform data into my v6.X environment? 
     30 
    2631Simply grab the v7.X module you need to use to import the data (any of the data_exchange modules or data_source modules) and make sure it is named uniquely (so that it doesn't overwrite a v6.X version) and install it on your v6.3 system in the bin directory. Also grab the scnl2scn converter from v7.X and install that. Then, update your earthworm_global.d with the new message types found in v7.X (see the earthworm_global.d from the distro). Import the data into a new ring called WAVE_RING_SCNL and then setup scnl2scn to convert the data to where you want the waveforms. 
    2732 
    28336. startstop v7.X won't work with my old configuration because it complains about missing messages, what did I miss? 
     34 
    2935Because new features were added into startstop, Earthworm's core module, you need to add in new message types to your old earthworm.d and earthworm_global.d files. Add in the new message types, by doing a diff on the files 
    3036 
    31377. How do I deal with my old v6.X SCN wave_serverV tanks? 
     38 
    3239 * If you have only a small amount of data you need to move from v6.X to v7.X, you can use waveman2disk to write the section of data you need in tankplayer format, then use the tankplayer module to replay that data back into a ring. Once it's in a ring, you can convert it with scn2scnl, and then import the converted tracebufs into a v7.X wave_serverV tank. Tankplayer doesn't have a fast forward mode, so this may take some time. 
    3340 * If you have months or years worth of data in a v6.X wave_serverV tank, you may want to keep running your v6.X wave_serverV, and start a new wave_serverV recording v7.X SCNL tracebufs in parallel. Once the v7.X wave_serverV has been running long enough for you to be able to search for all the historical data you need, you can turn off your v6.X wave_serverV. Note that the wave viewer application Swarm is one of the few wave server clients that will allow accessing either SCN or SCNL packets, and therefore can talk to a v6.X or a v7.X wave_serverV server. Almost all of the earthworm modules will only deal with with SCN if they're from v6.X and SCNL if they're from v7.X. So if you do run with dual waveservers, you'll probably need two different versions of each earthworm module.